Bug 159917 - [PATCH]math/scilab: fix buld with lang/gcc46, blas/lapack usage, and WITHOUT_GUI
Summary: [PATCH]math/scilab: fix buld with lang/gcc46, blas/lapack usage, and WITHOUT_GUI
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-19 17:10 UTC by Brendan Fabeny
Modified: 2014-08-14 23:29 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (4.65 KB, patch)
2011-08-19 17:10 UTC, Brendan Fabeny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brendan Fabeny freebsd_committer 2011-08-19 17:10:09 UTC
--Fix a bug uncovered by exp-runs to evaluate the change of the default USE_GCC/FORTRAN compiler to lang/gcc46, as seen in:

http://pointyhat.FreeBSD.org/errorlogs/amd64-errorlogs/a.8-exp.20110808071730/scilab-5.3.3.log

The configure script is failing to set lt_prog_compiler_wl_F77='-Wl,',
and hence builds a broken local libtool that fails during linking.
This was "fixed" upstream by adding a workaround, for Linux and Debian derivatives only:

http://gitweb.scilab.org/?p=scilab.git;a=commit;h=90634e389092d082f6d6a8f37667c3b525dd093e

that doesn't address the real problem, which is that too many of the configure script tests depend on --with-gfortran being issued.  Circumvent the problem here by adding this to CONFIGURE_ARGS. PIC flags are now detected and added automatically, so remove addition to FFLAGS.   

--Whitespace fix on line 223.   

--Typo in post-install target comment

--Remove obsolete configure script option --with-atlas-library and properly inform configure script of blas and lapack libraries; fix a link line in one of the port Makefiles where a library was being linked with lapack but not with blas

--fix plist and build breakage when building the help index WITHOUT_GUI

--be more conservative in use of CFLAGS, and respect LDFLAGS

--add a test target, disabled by default because of unresolved i18n problems

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-08-19 17:10:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-08-19 17:10:22 UTC
Maintainer of math/scilab,

Please note that PR ports/159917 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/159917

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-08-19 17:10:24 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Chris Rees freebsd_committer 2011-08-19 18:09:19 UTC
Hm, upstream were pretty good at paying attention to patches when I
spoke to them last -- perhaps they'll fix it properly this time :)

Chris
Comment 5 Robert Farmer 2011-08-21 09:00:57 UTC
On Fri, Aug 19, 2011 at 10:09 AM, Chris Rees <crees@freebsd.org> wrote:
> Hm, upstream were pretty good at paying attention to patches when I
> spoke to them last -- perhaps they'll fix it properly this time :)
>
> Chris
>

I'm not sure exactly what part to send upstream - just the new patch
or something more? I'm not very clear on libtool stuff. If
--with-gfortran fixes it, then that seems right for the port - they
are allowing the Intel Fortran/C compilers too.

What's posted works for me, so go ahead and commit it.

-- 
Rob Farmer
Comment 6 Chris Rees freebsd_committer 2011-08-21 12:14:40 UTC
On 21 August 2011 09:00, Rob Farmer <rfarmer@predatorlabs.net> wrote:
> On Fri, Aug 19, 2011 at 10:09 AM, Chris Rees <crees@freebsd.org> wrote:
>> Hm, upstream were pretty good at paying attention to patches when I
>> spoke to them last -- perhaps they'll fix it properly this time :)
>>
>> Chris
>>
>
> I'm not sure exactly what part to send upstream - just the new patch
> or something more? I'm not very clear on libtool stuff. If
> --with-gfortran fixes it, then that seems right for the port - they
> are allowing the Intel Fortran/C compilers too.
>
> What's posted works for me, so go ahead and commit it.

Ugh, libtool, I'll stay well away.

Sorry for the noise,

Chris
Comment 7 dfilter service freebsd_committer 2011-08-23 09:28:20 UTC
bf          2011-08-23 08:28:05 UTC

  FreeBSD ports repository

  Modified files:
    math/scilab          Makefile pkg-plist 
  Added files:
    math/scilab/files    patch-modules__arnoldi__Makefile.in 
  Log:
  fix build with lang/gcc46 [1]; fix use of blas and lapack;
  fix WITHOUT_GUI; minor clean-up
  
  Reported by:    pav,gerald [1]
  PR:             159917
  Approved by:    Rob Farmer (maintainer)
  
  Revision  Changes    Path
  1.81      +26 -9     ports/math/scilab/Makefile
  1.1       +11 -0     ports/math/scilab/files/patch-modules__arnoldi__Makefile.in (new)
  1.24      +1 -0      ports/math/scilab/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 b. f. 2011-09-13 20:07:01 UTC
On 8/21/11, Chris Rees <crees@freebsd.org> wrote:
> On 21 August 2011 09:00, Rob Farmer <rfarmer@predatorlabs.net> wrote:
>> On Fri, Aug 19, 2011 at 10:09 AM, Chris Rees <crees@freebsd.org> wrote:
>>> Hm, upstream were pretty good at paying attention to patches when I
>>> spoke to them last -- perhaps they'll fix it properly this time :)
>>>
>>> Chris
>>>
>>
>> I'm not sure exactly what part to send upstream - just the new patch
>> or something more? I'm not very clear on libtool stuff. If
>> --with-gfortran fixes it, then that seems right for the port - they
>> are allowing the Intel Fortran/C compilers too.
>>
>> What's posted works for me, so go ahead and commit it.
>
> Ugh, libtool, I'll stay well away.
>
> Sorry for the noise,

It's a good suggestion to contact upstream about this and a few other
problems.  I intended to to this anyway, but I've been busy. I haven't
closed the PR because I spotted some additional problems that I fixed
but haven't had time to test.  I'll let you know when I get a chance.

b.
Comment 9 John Marino freebsd_committer 2014-08-14 23:29:25 UTC
bf@ is no longer the maintainer of this port.  Seems most of the PR was done anyway, open a new PR with the new maintainer if anything is outstanding.
Comment 10 John Marino freebsd_committer 2014-08-14 23:29:59 UTC
of course, I see now that bf@ also opened this PR. :)